### Function

# Ide find_program_in_host_path

#### Declaration

    gchar*
    ide_find_program_in_host_path (
      const gchar* program
    )

#### Description

Like `g_find_program_in_path()` but checks the host system which may not be the same as the container we’re running within.

Available since: | 3.34

#### Parameters

`program` | `const gchar*`
| The name of the executable.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| A path or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.